import { ChangeDetectorRef, EventEmitter, OnChanges, SimpleChanges, TemplateRef } from "@angular/core";
import { ResizeEvent } from "angular-resizable-element";
import { ITimelineItem, IIdObject } from "../../models";
import * as i0 from "@angular/core";
export declare class TimelinePanelComponent implements OnChanges {
    private _cdr;
    items: ITimelineItem[];
    label: string;
    width: number;
    resizable: boolean;
    minWidth: number;
    maxWidth: number;
    headerHeight: number;
    rowHeight: number;
    locale: string;
    childGroupOffset: number;
    itemTemplate: TemplateRef<{
        item: ITimelineItem;
        index: number;
        depth: number;
        locale: string;
    }>;
    widthChanged: EventEmitter<number>;
    constructor(_cdr: ChangeDetectorRef);
    ngOnChanges(changes: SimpleChanges): void;
    trackById(index: number, item: IIdObject): number | string;
    handleResize(event: ResizeEvent): void;
    toggleExpand(item: ITimelineItem): void;
    private _validateWidth;
    static ɵfac: i0.ɵɵFactoryDeclaration<TimelinePanelComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TimelinePanelComponent, "timeline-panel", never, { "items": { "alias": "items"; "required": false; }; "label": { "alias": "label"; "required": false; }; "width": { "alias": "width"; "required": false; }; "resizable": { "alias": "resizable"; "required": false; }; "minWidth": { "alias": "minWidth"; "required": false; }; "maxWidth": { "alias": "maxWidth"; "required": false; }; "headerHeight": { "alias": "headerHeight"; "required": false; }; "rowHeight": { "alias": "rowHeight"; "required": false; }; "locale": { "alias": "locale"; "required": false; }; "childGroupOffset": { "alias": "childGroupOffset"; "required": false; }; "itemTemplate": { "alias": "itemTemplate"; "required": false; }; }, { "widthChanged": "widthChanged"; }, never, never, false, never>;
}
